//
//  ContactType+CoreDataProperties.swift
//  testCoreData
//
//  Created by Andres Käver on 17/05/2019.
//  Copyright © 2019 TalTech IT College - Andres Käver. All rights reserved.
//
//

import Foundation
import CoreData


extension ContactType {

    @nonobjc public class func fetchRequest() -> NSFetchRequest<ContactType> {
        return NSFetchRequest<ContactType>(entityName: "ContactType")
    }

    @NSManaged public var contactTypeValue: String?
    @NSManaged public var contacts: NSSet?

}

// MARK: Generated accessors for contacts
extension ContactType {

    @objc(addContactsObject:)
    @NSManaged public func addToContacts(_ value: Contact)

    @objc(removeContactsObject:)
    @NSManaged public func removeFromContacts(_ value: Contact)

    @objc(addContacts:)
    @NSManaged public func addToContacts(_ values: NSSet)

    @objc(removeContacts:)
    @NSManaged public func removeFromContacts(_ values: NSSet)

}
